require 'rails/generators'
require 'rails/generators/migration'
require 'rails/generators/active_record/migration'

module PrintingPress
	class PublishableGenerator < Rails::Generators::NamedBase
		include Rails::Generators::Migration
    extend ActiveRecord::Generators::Migration
		
		source_root File.expand_path('../templates', __FILE__)
		
    desc 'Generates (but does not run) a migration that is a clone of the specified resource.'
		
		def create_migration_file
			migration_template "create_published_table.rb", "db/migrate/create_published_#{file_path.gsub('/', '_').pluralize}.rb"
		end
	end
end